Skip to content

Creates an ACH payment method

Request

POST {{baseURL}}/pay-api/v1/customers/{{customerId}}/payment-methods/ach

This endpoint creates a payment method for EFT or ACH (automated clearing house) transactions.

The following is an example of the minimum call.

The endpoint call, with a fictitious customerId:

POST {{baseURL}}/pay-api/v1/customers/019d2135-be3f-7310-8e03-0bece14c231b/payment-methods/ach

The endpoint request body:

{
  "paymentMethodId": "123456789",
  "routingNumber": "123123123",
  "accountType": 1,
  "accountHolderType": 1
}

The return value is the paymentMethodId (payment method identifier).

{
  "id": "ecb05a38-990a-46fb-9a37-b0359164d918"
}

See Also:
To list a customer's payment methods, see GET /pay-api/v1/customers/{customerId}/payment-methods.
To create a card payment method for a customer, see POST /pay-api/v1/customers/{customerId}/payment-methods/cards.
To update a customer's payment method, see PUT /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}.
To set a customer's default payment method, see PUT /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}/make-default.

Security
Bearer
Path
customerIdstring, (uuid)required

Specifies a single customer's identifier.

Example:c4b210e9-be39-4ebc-8195-0c422de87f90
Bodyapplication/json
accountNumberstring or nullrequired

Specifies the account number.

Example: 123456789

Example:"123456789"
routingNumberstring, non-emptyrequired

Specifies the routing number.

Example: 123123123

Example:"123123123"
accountTypeinteger, (int32)required

Identifies the account type.

Possible values:

Type IDAccount TypeDescription
1CheckingChecking
2SavingsSavings

Example: 1

Example:1
accountHolderTypeinteger, (int32)required

Identifies the account holder type.

Possible values:

Type IDAccount TypeDescription
1BusinessBusiness
2PersonalPersonal

Example: 1

Example:1
namestring

Specifies the payment method name.

This is a free-formed name that is convenient for the merchant to recognize.

Example: Peppared Street Cafe's Preferred Payment

Example:"Peppared Street Cafe's Preferred Payment"
taxIdstring or null

Specifies the customer's TIN (tax identifier number).

Example: 98-7654321

Example:"98-7654321"
curl -i -X POST \
  https://developer.flute.com/_mock/api-reference/pay-api/v1/customers/c4b210e9-be39-4ebc-8195-0c422de87f90/payment-methods/ach \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "accountNumber": "123456789",
    "routingNumber": "123123123",
    "accountType": 1,
    "accountHolderType": 1,
    "name": "Peppared Street Cafe'\''s Preferred Payment",
    "taxId": "98-7654321"
  }'

Responses

OK

Bodyapplication/json
idstring, (uuid)

Indicates the payment method identifier.

This is also known the paymentMethodId.

Example: db02ec6c-2e5a-4b87-98a0-8dd881707d84

Example:"db02ec6c-2e5a-4b87-98a0-8dd881707d84"
Response
{ "id": "db02ec6c-2e5a-4b87-98a0-8dd881707d84" }